function newEpst02010Script(pageName, doctx="[data-doctx='epst02010']") {
    let ctrl = new DatasetControl({
          doctx: doctx
        , prefix: "epostGdntc"
        , prefixName: "전자우편 안내문"
        , dataGetter: obj => obj["List"]
        , keys: ["GDNTC_ID"]
        , appendData: true
        , infoSize: "md"
        , urls: {
              load: "/list.do"
            , getInfo: "/info.do"
            , remove: "/remove.do"
        }
        , formats: {
              LAST_USE_DT: datetimeFormat
            , REG_DT: datetimeFormat
            , MDFCN_DT: datetimeFormat
        }
    });

    // 검색 조건
    ctrl.query = { pageNum: 1, fetchSize: DEFAULT_FETCH_SIZE };                 // 1 페이지당 자료 건수 index.jsp에서 확인
    // paging
    ctrl.pagingSupport = new FimsPagingSupport({
          ctrl: ctrl                                                            // DatasetControl
        , ignoreCtrlPrefix: true                                                // ctrl.prefix 가 있더라도 무시
        , linkContainer: "[name='dataPaging']"                                  // <ul class="pagination pagination-primary" name="dataPaging">
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // Dataset 변경 이벤트
    ctrl.onDatasetChange = (obj, option) => {
        // 데이터 셋
        let dataList = ctrl.dataset;
        let empty = dataList.empty;

        let replacer = (str, dataItem) => str
            .replace(/{onclick}/gi, "pageObject['" + pageName + "'].dataTableClick('{data-index}');")
            .replace(/{ondblclick}/gi, "pageObject['" + pageName + "'].dataTableDblClick('{data-index}');");

        let trs = empty ?
                      [ctrl.find("[name='tmpltNotFound']").innerHTML]
                    : dataList.inStrings(ctrl.find("[name='tmpltRows']").innerHTML, replacer);

        let noMore = (dataList.length >= obj["Paging"]?.totalSize);             // 전체 건수
        let initScroll = (ctrl.query.pageNum < 2);

        if (option != null && option.reloaded) {
            initScroll = false;
        }

        // dataTables(그리드)에 자료 표시 td
        ctrl.find("[name='tableRspns']").changeContent(trs.join(), initScroll, noMore);

        // checkbox 체크 해제
        $(ctrl.find("[name='gridAllCheckbox']")).prop("checked", false);

        // dataTables(그리드)에 페이지 표시 pagingInfo
        ctrl.pagingSupport.setPagingInfo(obj);

        // 보안모드
        fn_securityModeToggle($("#securityMode--top").is(":checked"));
    };

    // 현재 선택 자료 변경 이벤트
    ctrl.onCurrentChange = (item) => {
        Apply.fromDataset.currentRow(ctrl.dataset, item, ctrl.find("[name='tbodyList']"));
    };

    // 선택(체크) 변경 이벤트
    ctrl.onSelectionChange = (selectedArr) => {
        // gridCheckbox
        Apply.fromDataset.gridCheckbox(ctrl.dataset, ctrl.find("[name='tbodyList']"), 1, selectedArr);
        // gridButton
        Apply.fromDataset.gridButton(ctrl.dataset, ctrl.find("[name='btnRemove']"), selectedArr);           // 삭제 버튼
    };

    // 상세 정보 dialog
    ctrl.getInfo = (params) => {
        if (!params) return;

        ajax.get({
              url: ctrl.urls.getInfo
            , data: params || {}
            , success: (resp) => {
                let dialogName = ctrl.prefixed("Dialog");
                let dialogId = dialogName + "-" + uuid();

                dialog.open({
                      id: dialogId
                    , title: params.btnTitle
                    , size: ctrl.infoSize
                    , content: resp
                    , init: () => {
                        $("#" + dialogId).attr("name", dialogName);
                        $("#" + dialogId).attr("data-ref-doctx", pageName);

                        AppSupport.setDialogZindex();
                    }
                    , onClose: () => { ctrl.reload({all : true}); }             // 자료 재조회
                });
            }
        });
    }

    // 삭제 callback
    ctrl.onRemove = (params, resp) => {
        let showMessage = resp.rtnMsg.replace(/[S]|[F]/g, params.btnTitle);

        // 메시지 출력
        dialog.alert({
              content: showMessage
            , init: () => { AppSupport.setDialogZindex(); }
            , onOK: resp.saved ? undefined : () => { }
            , onClose: () => {
                if (resp.saved) { ctrl.reload({ all: true }); }                 // 자료 재조회
            }
        });
    }

    // 삭제
    ctrl.remove = (params) => {
        if (!params) return;

        ajax.post({
              url: ctrl.urls.remove
            , data: params || {}
            , success: (resp) => { ctrl.onRemove(params, resp); }
        });
    }

    return ctrl;
}
